package com.realnet.angulardatatype.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.angulardatatype.Entity.Adv3;
import com.realnet.angulardatatype.Services.Adv3Service ;












@RequestMapping(value = "/token/Adv3")
 @CrossOrigin("*") 
@RestController
public class tokenFree_Adv3Controller {
	@Autowired
	private Adv3Service Service;

@Value("${projectPath}")
	private String projectPath;
 












	@PostMapping("/Adv3")
		  public Adv3 Savedata(@RequestBody Adv3 data) {
		Adv3 save = Service.Savedata(data)	;











		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Adv3/{id}")
	public  Adv3 update(@RequestBody Adv3 data,@PathVariable Integer id ) {
		Adv3 update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Adv3/getall/page")
	public Page<Adv3> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Adv3> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Adv3")
	public List<Adv3> getdetails() {
		 List<Adv3> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Adv3")
	public List<Adv3> getallwioutsec() {
		 List<Adv3> get = Service.getdetails();		
		return get;
}
@GetMapping("/Adv3/{id}")
	public  Adv3  getdetailsbyId(@PathVariable Integer id ) {
		Adv3  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Adv3/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}













}